pgAdmin 4 commit: Hardcoded 'itsdangerous' version to <=1.1.0, as the l

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

pgAdmin 4 commit: Hardcoded 'itsdangerous' version to <=1.1.0, as the l

Akshay Joshi
Hardcoded 'itsdangerous' version to <=1.1.0, as the latest version not working correctly for pgAdmin.

Branch
------
master

Details
-------
https://git.postgresql.org/gitweb?p=pgadmin4.git;a=commitdiff;h=0a95550fc0d0f0c33df8cfab4ebf970fbfa291a4

Modified Files
--------------
requirements.txt | 1 +
1 file changed, 1 insertion(+)

Reply | Threaded
Open this post in threaded view
|

Re: pgAdmin 4 commit: Hardcoded 'itsdangerous' version to <=1.1.0, as the l

Murtuza Zabuawala
Hello,

'itsdangerous' is an important module in order to keep the sessions safe & secure, Is there any specific reason for holding back on the older version?
IMO we need to fix what is not working instead of using the older version.

--
Regards,
Murtuza Zabuawala
EDB
POWER TO POSTGRES


On Tue, May 18, 2021 at 1:43 PM Akshay Joshi <[hidden email]> wrote:
Hardcoded 'itsdangerous' version to <=1.1.0, as the latest version not working correctly for pgAdmin.

Branch
------
master

Details
-------
https://git.postgresql.org/gitweb?p=pgadmin4.git;a=commitdiff;h=0a95550fc0d0f0c33df8cfab4ebf970fbfa291a4

Modified Files
--------------
requirements.txt | 1 +
1 file changed, 1 insertion(+)

Reply | Threaded
Open this post in threaded view
|

Re: pgAdmin 4 commit: Hardcoded 'itsdangerous' version to <=1.1.0, as the l

Akshay Joshi
Hi Murtuza

It is failing to run migrations, which is the first step to run pgAdmin 4. Check https://redmine.postgresql.org/issues/6452

On Mon, May 31, 2021 at 3:08 PM Murtuza Zabuawala <[hidden email]> wrote:
Hello,

'itsdangerous' is an important module in order to keep the sessions safe & secure, Is there any specific reason for holding back on the older version?
IMO we need to fix what is not working instead of using the older version.

--
Regards,
Murtuza Zabuawala
EDB
POWER TO POSTGRES


On Tue, May 18, 2021 at 1:43 PM Akshay Joshi <[hidden email]> wrote:
Hardcoded 'itsdangerous' version to <=1.1.0, as the latest version not working correctly for pgAdmin.

Branch
------
master

Details
-------
https://git.postgresql.org/gitweb?p=pgadmin4.git;a=commitdiff;h=0a95550fc0d0f0c33df8cfab4ebf970fbfa291a4

Modified Files
--------------
requirements.txt | 1 +
1 file changed, 1 insertion(+)



--
Thanks & Regards
Akshay Joshi
pgAdmin Hacker | Principal Software Architect
EDB Postgres
Mobile: +91 976-788-8246

Reply | Threaded
Open this post in threaded view
|

Re: pgAdmin 4 commit: Hardcoded 'itsdangerous' version to <=1.1.0, as the l

Dave Page-7
Hi Akshay,

On Mon, May 31, 2021 at 10:44 AM Akshay Joshi <[hidden email]> wrote:
Hi Murtuza

It is failing to run migrations, which is the first step to run pgAdmin 4. Check https://redmine.postgresql.org/issues/6452

Is someone working on fixing that?
 

On Mon, May 31, 2021 at 3:08 PM Murtuza Zabuawala <[hidden email]> wrote:
Hello,

'itsdangerous' is an important module in order to keep the sessions safe & secure, Is there any specific reason for holding back on the older version?
IMO we need to fix what is not working instead of using the older version.

--
Regards,
Murtuza Zabuawala
EDB
POWER TO POSTGRES


On Tue, May 18, 2021 at 1:43 PM Akshay Joshi <[hidden email]> wrote:
Hardcoded 'itsdangerous' version to <=1.1.0, as the latest version not working correctly for pgAdmin.

Branch
------
master

Details
-------
https://git.postgresql.org/gitweb?p=pgadmin4.git;a=commitdiff;h=0a95550fc0d0f0c33df8cfab4ebf970fbfa291a4

Modified Files
--------------
requirements.txt | 1 +
1 file changed, 1 insertion(+)



--
Thanks & Regards
Akshay Joshi
pgAdmin Hacker | Principal Software Architect
EDB Postgres
Mobile: +91 976-788-8246



--